package main

import (
	"ai-search/service"
	"embed"

	"github.com/gin-gonic/gin"
)

//go:embed all:out/*
var fs embed.FS

var (
	router *gin.Engine
)

func main() {
	router = gin.Default()
	service.HandleStaticFile(router, fs)
	router.POST("/v1/chat/search", service.SearchHandler)
	router.Run(service.GetSettings().ListenAddr)
}
