import { Mails } from "lucide-react";
import { FC } from "react";

export const Footer: FC = () => {
  return (
    <div className="text-center flex flex-col items-center text-xs text-zinc-700 gap-1">
      <div className="text-zinc-400">
        注意⚠️，回答来自大模型，VaalaAI不为您提供任何保证
      </div>
      <div className="text-zinc-400">
        Vaala☁️/VaalaAI 提供技术支持, 参考
        <a className="text-blue-500" href="https://github.com/leptonai/search_with_lepton">Lepton AI</a> 开发
      </div>
      <div className="flex gap-2 justify-center">
        <div>如果您需要技术支持，请与我们联系</div>
        <div>
          <a
            className="text-blue-500 font-medium inline-flex gap-1 items-center flex-nowrap text-nowrap"
            href="mailto:me@vaala.cat"
          >
            <Mails size={8} />
            发送邮件
          </a>
        </div>
      </div>

      <div className="flex items-center justify-center flex-wrap gap-x-4 gap-y-2 mt-2 text-zinc-400">
        <a className="hover:text-zinc-950" href="https://api.vaa.la/">
          VaalaAI
        </a>
        <a className="hover:text-zinc-950" href="https://vaala.cat/">
          Blog
        </a>
      </div>
    </div>
  );
};
