import { getSearchUrl } from "@/utils/get-search-url";
import { nanoid } from "nanoid";
import { useRouter } from "next/navigation";
import { FC } from "react";

export const PresetQuery: FC<{ query: string }> = ({ query }) => {
  const router = useRouter()
  return (
    <div
      title={query}
      className="border border-zinc-200/50 text-ellipsis overflow-hidden text-nowrap items-center rounded-lg bg-zinc-100 hover:bg-zinc-200/80 hover:text-zinc-950 px-2 py-1 text-xs font-medium text-zinc-600"
      onClick={() => { router.push(getSearchUrl(encodeURIComponent(query), nanoid())) }}
    >
      {query}
    </div>
  );
};
